<?php
include '../../../connection.inc.php';
session_start();

$id = $_GET['id'];

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $id = $_POST['id']; 
    $full_name = $_POST['full_name'];
    $address = $_POST['address'];
    $country = $_POST['country'];
    $city = $_POST['city'];
    $state = $_POST['state'];
    $zip = $_POST['zip_code'];
    $vehicle_year = $_POST['vehicle_year'];
    $vehicle_model = $_POST['vehicle_model'];
    $vehicle_exhaust_system = $_POST['vehicle_exhaust_system'];
    $occupation = $_POST['occupation'];
    $how_did_you_hear_about_us = $_POST['how_did_you_hear_about_us'];
    $agree_check = $_POST['agree_check'];

    $driver_license = null;
    if (!empty($_FILES['driver_license']['name'])) {
        $driver_license = $_FILES['driver_license']['name'];
        $target_dir = "uploads/";
        $target_file = $target_dir . basename($driver_license);
        move_uploaded_file($_FILES['driver_license']['tmp_name'], $target_file);
    }

    if ($driver_license) {
        $sql = "UPDATE users SET
                    full_name = :full_name,
                    address = :address,
                    country = :country,
                    city = :city,
                    state = :state,
                    zip_code = :zip_code,
                    vehicle_year = :vehicle_year,
                    vehicle_model = :vehicle_model,
                    vehicle_exhaust = :vehicle_exhaust_system,
                    driver_license = :driver_license,
                    occupation = :occupation,
                    hear_about_us = :how_did_you_hear_about_us,
                    agreement = :agree_check
                WHERE id = :id";
    } else {
        $sql = "UPDATE users SET
                    full_name = :full_name,
                    address = :address,
                    country = :country,
                    city = :city,
                    state = :state,
                    zip_code = :zip_code,
                    vehicle_year = :vehicle_year,
                    vehicle_model = :vehicle_model,
                    vehicle_exhaust = :vehicle_exhaust_system,
                    occupation = :occupation,
                    hear_about_us = :how_did_you_hear_about_us,
                    agreement = :agree_check
                WHERE id = :id";
    }

    $stmt = $conn->prepare($sql);

    // Bind parameters
    $stmt->bindParam(':id', $id);
    $stmt->bindParam(':full_name', $full_name);
    $stmt->bindParam(':address', $address);
    $stmt->bindParam(':country', $country);
    $stmt->bindParam(':city', $city);
    $stmt->bindParam(':state', $state);
    $stmt->bindParam(':zip_code', $zip);
    $stmt->bindParam(':vehicle_year', $vehicle_year);
    $stmt->bindParam(':vehicle_model', $vehicle_model);
    $stmt->bindParam(':vehicle_exhaust_system', $vehicle_exhaust_system);
    $stmt->bindParam(':occupation', $occupation);
    $stmt->bindParam(':how_did_you_hear_about_us', $how_did_you_hear_about_us);
    $stmt->bindParam(':agree_check', $agree_check);

    if ($driver_license) {
        $stmt->bindParam(':driver_license', $driver_license);
    }

    if ($stmt->execute()) {
        $_SESSION['message'] = 'User successfully updated!';
        header("Location: index.php");
        exit();
    } else {
        echo false;
    }
}
    else {
    $stmt = $conn->prepare("SELECT * FROM users WHERE id = :id");
    $stmt->bindParam(':id', $id);
    $stmt->execute();
    $userData = $stmt->fetch(PDO::FETCH_ASSOC);
}
?>


<!doctype html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="Mark Otto, Jacob Thornton, and Bootstrap contributors">
    <meta name="generator" content="Hugo 0.72.0">
    <title>Admin Dashboard | Edit User</title>

    <link rel="canonical" href="https://v5.getbootstrap.com/docs/5.0/examples/dashboard/">



    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/5.0.0-alpha1/css/bootstrap.min.css"
        integrity="sha384-r4NyP46KrjDleawBgD5tp8Y7UzmLA05oM1iAEQ17CSuDqnUK2+k9luXQOfXJCJ4I" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
        integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous">
    </script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/5.0.0-alpha1/js/bootstrap.min.js"
        integrity="sha384-oesi62hOLfzrys4LxRF63OJCXdXDipiYWBnvTl9Y9/TRlw5xlKIEHpNyvvDShgf/" crossorigin="anonymous">
    </script>

    <style>
        .bd-placeholder-img {
            font-size: 1.125rem;
            text-anchor: middle;
            -webkit-user-select: none;
            -moz-user-select: none;
            -ms-user-select: none;
            user-select: none;
        }

        @media (min-width: 768px) {
            .bd-placeholder-img-lg {
                font-size: 3.5rem;
            }
        }

        body {
            font-size: .875rem;
        }

        .feather {
            width: 16px;
            height: 16px;
            vertical-align: text-bottom;
        }

        /* Sidebar*/

        .sidebar {
            position: fixed;
            top: 0;
            bottom: 0;
            left: 0;
            z-index: 100;
            /* Behind the navbar */
            padding: 48px 0 0;
            /* Height of navbar */
            box-shadow: inset -1px 0 0 rgba(0, 0, 0, .1);
        }

        @media (max-width: 767.98px) {
            .sidebar {
                top: 5rem;
            }
        }

        .sidebar-sticky {
            position: relative;
            top: 0;
            height: calc(100vh - 48px);
            padding-top: .5rem;
            overflow-x: hidden;
            overflow-y: auto;
            /* Scrollable contents if viewport is shorter than content. */
        }

        .sidebar .nav-link {
            font-weight: 500;
            color: #333;
        }

        .sidebar .nav-link .feather {
            margin-right: 4px;
            color: #727272;
        }

        .sidebar .nav-link.active {
            color: #007bff;
        }

        .sidebar .nav-link:hover .feather,
        .sidebar .nav-link.active .feather {
            color: inherit;
        }

        .sidebar-heading {
            font-size: .75rem;
            text-transform: uppercase;
        }

        /*Navbar*/
        .navbar-brand {
            padding-top: .75rem;
            padding-bottom: .75rem;
            font-size: 1rem;
            background-color: rgba(0, 0, 0, .25);
            box-shadow: inset -1px 0 0 rgba(0, 0, 0, .25);
        }

        .navbar .navbar-toggler {
            top: .25rem;
            right: 1rem;
        }

        .navbar .form-control {
            padding: .75rem 1rem;
            border-width: 0;
            border-radius: 0;
        }

        .form-control-dark {
            color: #fff;
            background-color: rgba(255, 255, 255, .1);
            border-color: rgba(255, 255, 255, .1);
        }

        .form-control-dark:focus {
            border-color: transparent;
            box-shadow: 0 0 0 3px rgba(255, 255, 255, .25);
        }
    </style>
</head>

<body>
    <?php
    include("../partials/header.php");


    ?>
    <div class="container-fluid">
        <div class="row">
            <?php
            include("../partials/sidebar.php")
            ?>
            <main class="col-md-9 ml-sm-auto col-lg-10 px-md-4">
                <h2 class="mt-3">Edit User</h2>
                <form action="" method="post">
                    <input type="hidden" name="id" value="<?= $userData['id'] ?>">
                    <div class="row">
                        <div class="form-group col-md-4 mt-3">
                            <label for=""></label>
                            <Label>Full Name</Label>
                            <input type="text" name="full_name" id="" class="form-control" value="<?= $userData['full_name'] ?>" required>
                        </div>
                        <div class="form-group col-md-4 mt-3">
                            <label for=""></label>
                            <Label>Address</Label>
                            <input type="text" name="address" id="" class="form-control" value="<?= $userData['address'] ?>" required>
                        </div>
                        <div class="form-group col-md-4 mt-3">
                            <label for=""></label>
                            <Label>Country</Label>
                            <select name="country" id="country" class="form-control" data-value="<?= $userData['country'] ?>" required>
                            </select>
                        </div>
                        <div class="form-group col-md-4 mt-3">
                            <label for=""></label>
                            <Label>State</Label>
                            <input type="text" name="state" id="" class="form-control" value="<?= $userData['state'] ?>" required>
                        </div>
                        <div class="form-group col-md-4 mt-3">
                            <label for=""></label>
                            <Label>City</Label>
                            <input type="text" name="city" id="" class="form-control" value="<?= $userData['city'] ?>" required>
                        </div>
                        <div class="form-group col-md-4 mt-3">
                            <label for=""></label>
                            <Label>Zip Code</Label>
                            <input type="text" name="zip_code" id="" class="form-control" value="<?= $userData['zip_code'] ?>" required>
                        </div>
                        <div class="col-md-4 mt-3">
                            <label for="">Vehicle Model</label>
                            <input type="text" name="vehicle_model" id="" class="form-control" value="<?= $userData['vehicle_model'] ?>" required>
                        </div>
                        <div class="col-md-4 mt-3">
                            <label for="">Vehicle Year</label>
                            <input type="text" name="vehicle_year" id="" class="form-control" value="<?= $userData['vehicle_year'] ?>" required>
                        </div>
                        <div class="col-md-4 mt-3">
                            <label for="">Vehicle Exhaust System</label>
                            <select name="vehicle_exhaust_system" id="" class="form-control" required>
                                <option value="single" <?= $userData['vehicle_exhaust'] == 'single' ? 'selected' : '' ?>>Single</option>
                                <option value="double" <?= $userData['vehicle_exhaust'] == 'double' ? 'selected' : '' ?>>Double</option>
                                <option value="not-sure" <?= $userData['vehicle_exhaust'] == 'not-sure' ? 'selected' : '' ?>>Not Sure</option>
                            </select>
                        </div>
                        <div class="form-group col-md-4 mt-3">
                            <label for=""></label>
                            <Label>Driving License</Label>
                            <input type="file" name="driving_license" id="" class="form-control" >
                            <?php if($userData['driver_license']){ ?>
                                Uploaded : <a href="../../../uploads/<?= $userData['driver_license'] ?>" download><?= $userData['driver_license'] ?></a>
                            <?php } ?>
                        </div>
                        <div class="col-md-4 mt-3">
                            <label for="">Occupation</label>
                            <input type="text" class="form-control" value="<?= $userData['occupation'] ?>" required name="occupation"> 
                        </div>
                        <div class="col-md-4 mt-3">
                            <label for="">How did you hear about us?</label>
                            <input type="text" class="form-control" value="<?= $userData['hear_about_us'] ?>" required name="how_did_you_hear_about_us"> 
                        </div>

                    </div>
                    <button type="submit" class="btn btn-primary mt-3">Update</button>
                </form>

        </div>
        </main>
    </div>
    </div>



    <script src="/docs/5.0/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-DBjhmceckmzwrnMMrjI7BvG2FmRuxQVaTfFYHgfnrdfqMhxKt445b7j3KBQLolRl" crossorigin="anonymous">
    </script>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/feather-icons/4.24.1/feather.min.js"
        integrity="sha384-EbSscX4STvYAC/DxHse8z5gEDaNiKAIGW+EpfzYTfQrgIlHywXXrM9SUIZ0BlyfF" crossorigin="anonymous">
    </script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.9.3/Chart.min.js"
        integrity="sha384-i+dHPTzZw7YVZOx9lbH5l6lP74sLRtMtwN2XjVqjf3uAGAREAF4LMIUDTWEVs4LI" crossorigin="anonymous">
    </script>
    <script src="dashboard.js"></script>
    <script src="../../../assets/js/script.js"></script>
    <script>
        $(document).ready(function () {
           
            
           var countries = [
                "Afghanistan", "Albania", "Algeria", "Andorra", "Angola", "Antigua and Barbuda", "Argentina", "Armenia", 
                "Australia", "Austria", "Azerbaijan", "Bahamas", "Bahrain", "Bangladesh", "Barbados", "Belarus", 
                "Belgium", "Belize", "Benin", "Bhutan", "Bolivia", "Bosnia and Herzegovina", "Botswana", "Brazil", 
                "Brunei", "Bulgaria", "Burkina Faso", "Burundi", "Cabo Verde", "Cambodia", "Cameroon", "Canada", 
                "Central African Republic", "Chad", "Chile", "China", "Colombia", "Comoros", "Congo (Congo-Brazzaville)", 
                "Costa Rica", "Croatia", "Cuba", "Cyprus", "Czechia (Czech Republic)", "Denmark", "Djibouti", 
                "Dominica", "Dominican Republic", "Ecuador", "Egypt", "El Salvador", "Equatorial Guinea", "Eritrea", 
                "Estonia", "Eswatini (fmr. Swaziland)", "Ethiopia", "Fiji", "Finland", "France", "Gabon", "Gambia", 
                "Georgia", "Germany", "Ghana", "Greece", "Grenada", "Guatemala", "Guinea", "Guinea-Bissau", "Guyana", 
                "Haiti", "Holy See", "Honduras", "Hungary", "Iceland", "India", "Indonesia", "Iran", "Iraq", "Ireland", 
                "Israel", "Italy", "Jamaica", "Japan", "Jordan", "Kazakhstan", "Kenya", "Kiribati", "Korea (North)", 
                "Korea (South)", "Kosovo", "Kuwait", "Kyrgyzstan", "Laos", "Latvia", "Lebanon", "Lesotho", "Liberia", 
                "Libya", "Liechtenstein", "Lithuania", "Luxembourg", "Madagascar", "Malawi", "Malaysia", "Maldives", 
                "Mali", "Malta", "Marshall Islands", "Mauritania", "Mauritius", "Mexico", "Micronesia", "Moldova", 
                "Monaco", "Mongolia", "Montenegro", "Morocco", "Mozambique", "Myanmar (formerly Burma)", "Namibia", 
                "Nauru", "Nepal", "Netherlands", "New Zealand", "Nicaragua", "Niger", "Nigeria", "North Macedonia", 
                "Norway", "Oman", "Pakistan", "Palau", "Palestine State", "Panama", "Papua New Guinea", "Paraguay", 
                "Peru", "Philippines", "Poland", "Portugal", "Qatar", "Romania", "Russia", "Rwanda", "Saint Kitts and Nevis", 
                "Saint Lucia", "Saint Vincent and the Grenadines", "Samoa", "San Marino", "Sao Tome and Principe", 
                "Saudi Arabia", "Senegal", "Serbia", "Seychelles", "Sierra Leone", "Singapore", "Slovakia", "Slovenia", 
                "Solomon Islands", "Somalia", "South Africa", "South Sudan", "Spain", "Sri Lanka", "Sudan", "Suriname", 
                "Sweden", "Switzerland", "Syria", "Tajikistan", "Tanzania", "Thailand", "Timor-Leste", "Togo", "Tonga", 
                "Trinidad and Tobago", "Tunisia", "Turkey", "Turkmenistan", "Tuvalu", "Uganda", "Ukraine", "United Arab Emirates", 
                "United Kingdom", "United States of America", "Uruguay", "Uzbekistan", "Vanuatu", "Venezuela", "Vietnam", 
                "Yemen", "Zambia", "Zimbabwe"
            ];
            
            var selected_value = $("#country").data('value');
            countries.forEach((country, index) => {
                var isSelected = ''; 
            
                if(selected_value == country) {
                    isSelected = 'selected';
                }
                $('#country').append('<option value="'+ country +'" '+ isSelected +'>'+ country +'</option>');
            });

        });
    </script>         
</body>

</html>